<?xml version="1.0" encoding="UTF-8"?>
<!-- declaration des formats utilises par les normes NF_S97 -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning"
           xmlns="urn:efs:utils"
           targetNamespace="urn:efs:utils"
           elementFormDefault="qualified"
           vc:minVersion="1.1">

    <!-- Debut champ Axxx de longueur min 1 et max xxx -->
    <xs:simpleType name="A1">
        <xs:annotation>
            <xs:documentation>champ de longueur 1</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:length value="1"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A2">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 2</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="2"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A3">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 3</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="3"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A4">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 4</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="4"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A5">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 5</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="5"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A10">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 10</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="10"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A15">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 15</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="15"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A16">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 16</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="16"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A20">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 20</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="20"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A25">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 25</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="25"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A30">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 30</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="30"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A35">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 35</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="35"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A41">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 41</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="41"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A60">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 60</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="60"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A100">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 100</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="100"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A128">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 128</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="128"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="A200">
        <xs:annotation>
            <xs:documentation>champ de longueur min 1 et max 200</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="200"/>
        </xs:restriction>
    </xs:simpleType>
    <!-- Fin champ Axxx de longueur min 1 et max xxx -->

    <!-- Debut date au format AAAMMJJ ou AAAMMJJHHMMSS -->
    <xs:simpleType name="D">
        <xs:annotation>
            <xs:documentation>Date au format AAAAMMJJ</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:length value="8"/>
            <xs:pattern value="((19)|(20))(\d{2})(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="DT">
        <xs:annotation>
            <xs:documentation>Date au format AAAAMMJJHHMMSS</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:length value="14"/>
            <xs:pattern value="((19)|(20))(\d{2})(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])([01][0-9]|2[0-3])([0-5][0-9])([0-5][0-9])"/>
        </xs:restriction>
    </xs:simpleType>
    <!-- Fin date au format AAAMMJJ ou AAAMMJJHHMMSS -->

    <!-- Debut cas particulier -->
    <xs:simpleType name="numero_de_version">
        <xs:annotation>
            <xs:documentation>AFNOR suivi de l'indice de classement : exemple : AFNOR S97-531</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:maxLength value="20"/>
            <xs:pattern value="AFNOR.*"/>
        </xs:restriction>
    </xs:simpleType>

    <xs:simpleType name="id_CPS_professionnel_de_sante_dans_ES">
        <xs:annotation>
            <xs:documentation>id CPS professionnel de sante dans ES : ADELI ou RPPS</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:enumeration value="ADELI"/>
            <xs:enumeration value="RPPS"/>
        </xs:restriction>
    </xs:simpleType>

    <xs:simpleType name="accord_de_partage_des_donnees">
        <xs:annotation>
            <xs:documentation></xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:enumeration value="O"/>
            <xs:enumeration value="N"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="conformite_du_message">
        <xs:annotation>
            <xs:documentation>Conformite_du_message : O: oui , N: Non</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:enumeration value="O"/>
            <xs:enumeration value="N"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="nature_du_mouvement">
        <xs:annotation>
            <xs:documentation></xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:enumeration value="DIST-DD"/>
            <xs:enumeration value="DIST-RDD"/>
            <xs:enumeration value="DIST-LFB"/>
            <xs:enumeration value="DIST-RLFB"/>
        </xs:restriction>
    </xs:simpleType>
    <!-- Fin cas particulier -->
</xs:schema>